alt.java.io

## Interface IOFactory

- All Known Implementing Classes:
    IOFactoryImpl, MockIOFactory

      public interface IOFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `createFile(java.lang.String fileName)`
    `java.io.InputStream` | `createInputStream(File aFile)`
    `java.io.OutputStream` | `createOutputStream(File aFile)`

- - ### Method Detail

    - #### createInputStream

          java.io.InputStream createInputStream(File aFile)
                                         throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### createOutputStream

          java.io.OutputStream createOutputStream(File aFile)
                                           throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### createFile

          File createFile(java.lang.String fileName)

Copyright © 2002 Mock Objects. All Rights Reserved.